Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.getfilenames
Class GetFileNamesData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.getfilenames.GetFileNamesData

All Implemented Interfaces:
  StepDataInterface

    public class GetFileNamesData

extends BaseStepData
implements StepDataInterface

Since:
  22-jan-2005
Author:
  Matt

Field Summary
`SimpleDateFormat` | `daf`
`DateFormatSymbols` | `dafs`
`FileErrorHandler` | `dataErrorLineHandler`
`DecimalFormat` | `df`
`DecimalFormatSymbols` | `dfs`
`boolean` | `doneReading`
`boolean` | `doneWithHeader`
`org.apache.commons.vfs.FileObject` | `file`
`String` | `filename`
`int` | `filenr`
`FilePlayList` | `filePlayList`
`org.pentaho.di.core.fileinput.FileInputList` | `files`
`int` | `filessize`
`int` | `footerLinesRead`
`FileInputStream` | `fr`
`int` | `headerLinesRead`
`int` | `indexOfFilenameField`
`int` | `indexOfWildcardField`
`org.pentaho.di.core.row.RowMetaInterface` | `inputRowMeta`
`boolean` | `isLastFile`
`InputStreamReader` | `isr`
`List<String>` | `lineBuffer`
`NumberFormat` | `nf`
`int` | `nr_repeats`
`int` | `nrLinesOnPage`
`int` | `nrStepFields`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`int` | `pageLinesRead`
`Object[]` | `previous_row`
`Object[]` | `readrow`
`long` | `rownr`
`int` | `totalpreviousfields`
`ZipInputStream` | `zi`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`GetFileNamesData()`

Method Summary
`void` | `setDateFormatLenient(boolean lenient)`

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### lineBuffer

    public List<String> lineBuffer

### previous_row

    public Object[] previous_row

### nr_repeats

    public int nr_repeats

### nrLinesOnPage

    public int nrLinesOnPage

### nf

    public NumberFormat nf

### df

    public DecimalFormat df

### dfs

    public DecimalFormatSymbols dfs

### daf

    public SimpleDateFormat daf

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### dafs

    public DateFormatSymbols dafs

### files

    public org.pentaho.di.core.fileinput.FileInputList files

### isLastFile

    public boolean isLastFile

### filename

    public String filename

### filenr

    public int filenr

### filessize

    public int filessize

### fr

    public FileInputStream fr

### zi

    public ZipInputStream zi

### isr

    public InputStreamReader isr

### doneReading

    public boolean doneReading

### headerLinesRead

    public int headerLinesRead

### footerLinesRead

    public int footerLinesRead

### pageLinesRead

    public int pageLinesRead

### doneWithHeader

    public boolean doneWithHeader

### dataErrorLineHandler

    public FileErrorHandler dataErrorLineHandler

### filePlayList

    public FilePlayList filePlayList

### file

    public org.apache.commons.vfs.FileObject file

### rownr

    public long rownr

### totalpreviousfields

    public int totalpreviousfields

### indexOfFilenameField

    public int indexOfFilenameField

### indexOfWildcardField

    public int indexOfWildcardField

### inputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface inputRowMeta

### readrow

    public Object[] readrow

### nrStepFields

    public int nrStepFields

Constructor Detail

### GetFileNamesData

    public GetFileNamesData()

Method Detail

### setDateFormatLenient

    public void setDateFormatLenient(boolean lenient)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD